Page updated: 21/03/2007
About the website

                        Valid XHTML 1.0!

 
gLite 3.0

glite-SE_dpm_oracle - Update to version 3.0.3-0

Date 22.01.07
Priority Normal

Description


This update fixes various bugs. For the full list of bugs, please see list below.  

 

Oracle RPM dependencies removed
  • The dependencies on the oracle-client RPMs have been removed as the oracle-clients can be installed in any format. gLite cannot provide the oracle-client RPMs due to license restrictions and Oracle is not always providing the Oracle clients in rpm format.

    Please make sure that you still install the oracle-client library in your preferred format.

edg-mkgridmap not robust against xml parsing errors.

  • We now specify ISO-8859-1 as the character encoding, such that the XML parser will not bomb out on finding a character with the high bit set.
  • Added "--cache" option for VDT, which causes the grid-mapfile to be treated as a cache, i.e. it is only rewritten when the contents change. The example edg-mkgridmap.conf file (overwritten by YAIM) has these changes.
  • Removed references to lcg-voms.cern.ch - added new sources for "lhcbsgm" and "lhcbprd"
  • Get "atlas" users from root group instead of "lcg1" subgroup.

R-GMA

  • Gin, service-tool and standard-tables do not need to be restarted
  • Any user code that uses the rgma python api needs to be restarted such as the job status raw and gridftp logfile parsers.
  • All rgma services will need to be restarted to pick up the new file permissions (not world writable) - service-tool, flexible-archiver, publish-site, gin, glue-archiver(specific archiver configuration for glue)

Fixed bugs

Number Description
 #15615 LFC_server_oracle should not depend on oracle client rpms
 #15616 DPM-server-oracle rpm should not depend on oracle client rpms
 #16810 RGMA-GIN files in /opt/glite/var/rgma-gin are world writable
 #17659 AssertionError in python API
 #18042 oracle-instantclient dependencies should not be specified on rpm level
 #18051 new yaim fn to check for oracle-instantclient
 #19263 Default parameter for disc cache is set too low
 #19737 Reassigned item: NetworkTCPThroughput R-GMA table should have REAL duration
 #19765 edg-mkgridmap ignores X509_USER_CERT env veriables when run as non-root
 #20310 Consumer disc cache configuration needs to be added to rgma setup script
 #20311 Consumer disc cache default location needs to be changed from /tmp/queue-cache.
 #20784 Python API does not reconnect automatically after default timeout
 #21898 The termination interval used by gin is to short
 #21932 edg-mkgridmap not robust against xml parsing errors

Updated rpms

Name Version Full RPM name Description
edg-mkgridmap 2.7.0-1_sl3 edg-mkgridmap-2.7.0-1_sl3.noarch.rpm A tool to build the grid-mapfile
edg-mkgridmap-conf 2.7.0-1_sl3 edg-mkgridmap-conf-2.7.0-1_sl3.noarch.rpm edg-mkgridmap configuration files
glite-rgma-api-python 5.0.10-1 glite-rgma-api-python-5.0.10-1.noarch.rpm Python API for R-GMA
glite-rgma-base 5.0.7-1 glite-rgma-base-5.0.7-1.noarch.rpm R-GMA basic configuration and documentation
glite-rgma-gin 5.0.9-1 glite-rgma-gin-5.0.9-1.noarch.rpm R-GMA Gin
glite-SE_dpm_oracle 3.0.3-0 glite-SE_dpm_oracle-3.0.3-0.noarch.rpm gLite SE DPM Oracle node
lcg-info-dynamic-dpm 1.3.4-1_sl3 lcg-info-dynamic-dpm-1.3.4-1_sl3.noarch.rpm DPM dynamic information provider.

The RPMs can be updated using apt via

Service reconfiguration after update

Not needed.

Service restart after update

Service must be restarted.

How to apply the fix

  1. Update the RPMs (see above)
  2. Update configuration (see above)
  3. Restart the service if necessary (see above)